# $Revision: 1.67 $, $Date: 2003/08/24 13:19:59 $
#
# Conditional build
# --without static	- don't build static
# --with dietlibc	- link with dietlibc, implies --without static)
# Branch: HEAD

%{?_with_dietlibc:%define _without_static 1}

Summary:	Small bourne shell from Berkeley
Summary(de):	Kleine Bourne-Shell von Berkeley
Summary(es):	Pequea shell bourne de Berkeley
Summary(fr):	Shell Bourne rduit de Berkeley
Summary(pl):	May shell bourne'a
Summary(pt_BR):	Pequena shell bourne de Berkeley
Summary(ru):	  Bourne shell (sh)
Summary(tr):	Ufak bir bourne kabuu
Summary(uk):	 Ӧ Bourne shell (sh)
Summary(zh_CN):	[ϵͳ]Berkeley΢Bourne Shell
Summary(zh_TW):	[-At$)B]Berkeley-AL$)BBourne Shell
Name:		ash
Version:	0.4.0
Release:	9
License:	BSD
Group:		Applications/Shells
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	1c59f5b62a081cb0cb3b053c01d79529
Patch0:		%{name}-builtin.patch
Patch1:		%{name}-echo.patch
Patch2:		%{name}-getcwd.patch
Patch3:		%{name}-getopt.patch
Patch4:		%{name}-glob.patch
Patch5:		%{name}-jobs.patch
Patch6:		%{name}-kill.patch
Patch7:		%{name}-makefile.patch
Patch8:		%{name}-manpage.patch
Patch9:		%{name}-hetio.patch
Patch10:	%{name}-memout.patch
Patch11:	%{name}-misc.patch
Patch12:	%{name}-redir.patch
Patch13:	%{name}-setmode.patch
Patch14:	%{name}-syntax.patch
Patch15:	%{name}-test.patch
Patch16:	%{name}-times.patch
Patch17:	%{name}-debian.patch
Patch18:	%{name}-ppid.patch
Patch19:	%{name}-freebsd.patch
Patch20:	%{name}-sighup.patch
Patch21:	%{name}-dietlibc.patch
BuildRequires:	byacc
%{?_with_dietlibc:BuildRequires:	dietlibc-static}
BuildRequires:	flex
%{!?_without_static:BuildRequires:	glibc-static}
Requires(post,preun,verify):	grep
Requires(preun):	fileutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	mkinitrd <= 1.7

%define		_bindir		/bin

%description
ash is a bourne shell clone from Berkeley. It supports all of the
standard Bourne shell commands and has the advantage of supporting
them while remaining considerably smaller than bash.

%description -l de
ash ist ein Bourne-Shell-Clone aus Berkeley, der alle
Standard-Bourne-Shell- Befehle untersttzt und dennoch erheblich
weniger Platz beansprucht als bash.

%description -l es
ash es un clone del shell bourne de Berkeley. Soporta todos los
comandos padrn de la Bourne shell y tiene la ventaja de soportarlos
con un tamao considerablemente menor del que bash.

%description -l fr
ash est un clone Berkeley du shell Bourne. Il gre toutes les
commandes standard du shell Bourne et a l'avantage de les grer tout
en restant considrablement plus petit que bash.

%description -l pl
Ash jest klonem shella Bourne'a z Berkeley. Obsuguje standardowe
komendy shella Bourne'a i jest mniejszy ni bash.

%description -l pt_BR
ash  um clone do shell bourne de Berkeley. Ele suporta todos os
comandos-padro da Bourne shell e tem a vantagem de suport-los com um
tamanho consideravelmente menor do que bash.

%description -l ru
 -    ,   
,       . Ash - 
 Bourne shell (sh)  . Ash   
  sh,     sh.  ash 
  Bourne shell (,  ),  
   .

%description -l tr
ash, Berkeley'in bir bourne kabuu kopyasdr. Standart bourne kabuu
komutlarnn tmn destekler ve bash kabuundan daha kk olma
avantajna sahiptir.

%description -l uk
 -    ,  դ 
, ˦   צ    ۦ. Ash -
  Bourne shell (sh)  ̦. Ash Цդ Ӧ Φ
  sh,    Φ sh.  ash צΦ ˦
Ԧ Bourne shell (, Ҧ ),  צ 
  'Ԧ.

%package static
Summary:	Small bourne shell from Berkeley
Summary(de):	Kleine Bourne-Shell von Berkeley
Summary(fr):	Shell Bourne rduit de Berkeley
Summary(pl):	May shell bourne'a
Summary(tr):	Ufak bir bourne kabuu
Group:		Applications/Shells
Requires(post,preun,verify):	grep
Requires(preun):	fileutils
Conflicts:	mkinitrd <= 1.7

%description static
ash is a bourne shell clone from Berkeley. It supports all of the
standard Bourne shell commands and has the advantage of supporting
them while remaining considerably smaller than bash.

%description static -l de
ash ist ein Bourne-Shell-Clone aus Berkeley, der alle
Standard-Bourne-Shell- Befehle untersttzt und dennoch erheblich
weniger Platz beansprucht als bash.

%description static -l fr
ash est un clone Berkeley du shell Bourne. Il gre toutes les
commandes standard du shell Bourne et a l'avantage de les grer tout
en restant considrablement plus petit que bash.

%description static -l pl
Ash jest klonem shella Bourne'a z Berkeley. Obsuguje standardowe
komendy shella Bourne'a i jest mniejszy ni bash.

%description static -l tr
ash, Berkeley'in bir bourne kabuu kopyasdr. Standart bourne kabuu
komutlarnn tmn destekler ve bash kabuundan daha kk olma
avantajna sahiptir.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
# this is mainly for information, maybe add changelog to %doc?
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%{?_with_dietlibc:%patch21 -p1}

%build

%{?_with_dietlibc:%define __cc %{_arch}-dietlibc-gcc}

%{!?_without_static:%{__make} OPT_FLAGS="%{rpmcflags}" LDFLAGS="-static %{rpmldflags}"}
%{!?_without_static:mv -f sh ash.static}
%{__make} OPT_FLAGS="%{rpmcflags}" LDFLAGS="%{rpmldflags}" CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install sh $RPM_BUILD_ROOT%{_bindir}/ash
%{!?_without_static:install ash.static $RPM_BUILD_ROOT%{_bindir}/ash.static}
install sh.1 $RPM_BUILD_ROOT%{_mandir}/man1/ash.1
echo ".so ash.1" > $RPM_BUILD_ROOT%{_mandir}/man1/bsh.1
ln -sf ash $RPM_BUILD_ROOT%{_bindir}/bsh

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
if [ ! -f /etc/shells ]; then
	echo "%{_bindir}/ash" > /etc/shells
	echo "%{_bindir}/bsh" >> /etc/shells
else
	if ! grep -q '^%{_bindir}/ash$' /etc/shells ; then
		echo "%{_bindir}/ash" >> /etc/shells
	fi
	if ! grep -q '^%{_bindir}/bsh$' /etc/shells ; then
		echo "%{_bindir}/bsh" >> /etc/shells
	fi
fi

%preun
if [ "$1" = 0 ]; then
	umask 022
	grep -v '^%{_bindir}/ash$' /etc/shells | grep -v '^%{_bindir}/bsh$' > /etc/shells.new
	mv -f /etc/shells.new /etc/shells
fi

%post static
umask 022
if [ ! -f /etc/shells ]; then
	echo "%{_bindir}/ash.static" >> /etc/shells
else
	if ! grep -q '^%{_bindir}/ash.static$' /etc/shells ; then
		echo "%{_bindir}/ash.static" >> /etc/shells
	fi
fi

%preun static
if [ "$1" = 0 ]; then
	umask 022
	grep -v '^%{_bindir}/ash\.static$' /etc/shells > /etc/shells.new
	mv -f /etc/shells.new /etc/shells
fi

%verifyscript
for n in ash bsh ; do
	echo -n "Looking for $n in /etc/shells... "
	if ! grep -q "^%{_bindir}/${n}\$" /etc/shells ; then
		echo "missing"
		echo "${n} missing from /etc/shells" >&2
	else
		echo "found"
	fi
done

%verifyscript static
echo -n "Looking for ash.static in /etc/shells... "
if ! grep -q '^%{_bindir}/ash\.static$' /etc/shells ; then
	echo "missing"
	echo "ash.static missing from /etc/shells" >&2
else
	echo "found"
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ash
%attr(755,root,root) %{_bindir}/bsh
%{_mandir}/man1/*

%{!?_without_static:%files static}
%{!?_without_static:%defattr(644,root,root,755)}
%{!?_without_static:%attr(755,root,root) %{_bindir}/ash.static}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ash.spec,v $
Revision 1.67  2003/08/24 13:19:59  blues
- release 9 - standarized preamble

Revision 1.66  2003/08/06 16:14:57  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.65  2003/07/08 09:06:43  qboosh
- removed redundant /s from paths

Revision 1.64  2003/07/07 04:23:49  blues
- many small fixes, inspired by kloczek

Revision 1.63  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.62  2003/05/25 05:45:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.61  2003/05/11 20:00:31  kloczek
- merge translations from TurboLinux and Conectiva.

Revision 1.60  2002/12/29 01:44:29  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.59  2002/09/18 10:47:29  orzech
- small fix

Revision 1.58  2002/09/11 19:18:47  orzech
- BR: dietlibc-static (conditional)

Revision 1.57  2002/09/11 11:56:14  orzech
- testing dietlibc version

Revision 1.56  2002/04/25 15:48:33  arturs
fixed a small typo

Revision 1.55  2002/04/06 18:25:07  kloczek
- merge translations from KSI.

Revision 1.54  2002/04/06 11:55:05  malekith
- fixed 'set -e; echo | false'
- release eight

Revision 1.53  2002/03/08 14:29:52  malekith
- rel 7
- added --without static
- pass CC to make

Revision 1.52  2002/03/05 16:23:17  marcus
- removed uclibc stuff
- rel. 6.

Revision 1.51  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.50  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.49  2002/02/18 19:39:08  qboosh
- fixed pl descriptions

Revision 1.48  2002/02/18 16:40:10  gotar
- added/fixed polish %descriptions.

Revision 1.47  2002/01/21 17:30:24  malekith
- rel 5
- BOOT -> embed

Revision 1.46  2002/01/18 02:12:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.45  2001/10/06 07:13:48  kloczek
- release 4.

Revision 1.44  2001/09/17 02:22:00  agaran
removed post-test rubbish
removed old cvslog (from test) entry

Revision 1.42  2001/07/25 12:47:17  malekith
- removed -m386

Revision 1.41  2001/07/03 17:16:16  kloczek
- release 3,
- added sighup patch: make ash behaviour identical to tcsh on background
  processes that receive SIGHUP (based on patch from Conectiva).

Revision 1.40  2001/05/22 22:51:05  klakier
- added -m386 for BOOT

Revision 1.39  2001/05/21 18:28:01  klakier
- fixed BOOT package - memout patch is applied in build, as it breaks
  building with memory buffers disabled

Revision 1.38  2001/04/28 15:03:09  qboosh
- argh, more fixes in preun scripts

Revision 1.37  2001/04/28 12:06:37  qboosh
- removed patching non-existing eval.c.orig from memout patch
- fixed and simplified post/preun/verify scripts
- BuildRequires: flex, byacc (bleh... arith.y is incompatible with bison)
- release 2

Revision 1.36  2001/04/25 11:28:14  kloczek
- typos.

Revision 1.35  2001/04/25 11:16:54  kloczek
- added using %%{rpmldflags}, %%{rpmlclags} macros.

Revision 1.34  2001/04/24 09:16:12  malekith
Marge with patches from debian and netbsd current

Revision 1.33  2001/04/14 08:01:16  klakier
- added contitional BOOT build

Revision 1.32  2001/04/13 17:34:02  klakier
- added BOOT package

Revision 1.31  2001/04/13 09:44:54  klakier
- added BOOT package

Revision 1.30  2001/01/25 20:03:21  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.29  2001/01/25 15:45:28  malekith
Uprgaded to 0.3.1

Revision 1.28  2001/01/18 17:23:52  malekith
updated to currnent FreeBSD cvs.

Revision 1.27  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.26  2000/10/11 18:09:54  kloczek
- release 17: use new rpm automation.

Revision 1.25  2000/07/21 12:33:32  kloczek
- release 25,
- %%_bindir to /bin and remove %%_prefix / (man pages was not installed in
  correct path).

Revision 1.24  2000/07/18 12:01:31  kloczek
- release 24,
- merged patchesz from rawhide and conectiva.

Revision 1.23  2000/07/17 14:11:08  zagrodzki
- release 21
- adapterized
- uses %{_bindir} (%{_prefix} = /)
- uses RPM_OPT_FLAGS
- moved %{__make} for static to %build

Revision 1.22  2000/06/29 11:18:32  qboosh
- BuildRequires: glibc-static
- typo

Revision 1.21  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.20  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.19  2000/05/30 20:00:33  wiget
release 20 (allow upgrade from rh 6.1)

Revision 1.18  2000/05/17 23:02:35  kloczek
- spec adapterized.

Revision 1.17  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.15  1999/12/03 23:37:52  waszi
- separated to 2 packages

Revision 1.14  1999/07/12 23:05:52  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 07 1999 Jan Rkorajski <baggins@pld.org.pl>
  [0.2-18]
- spec cleanup

* Wed Apr 21 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.2-17]
- added Group(pl),
- added full %defattr description,
- recompiled on rpm 3.

* Thu Mar 25 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.2-16]
- removed man group from man pages.

* Wed Dec 23 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.2-15]
- simplification in %postun and %post,
- added gzipping man pages.

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
  [0.2-14]
- updated to correct path on SunSITE.

* Sun Sep 27 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.2-13]
- added -q %setup parameter,
- simplification in %install,
- bsh(1) man page is now maked as nroff include to ash(1) instead
  making sym link to ash.1 (this allow compress man pages in future).

* Mon Jun 29 1998 Wojtek Slusarczyk <wojtek@shadow.eu.org>
- added pl translation.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- made /bin/ash built shared
- added ash.static
- uses a buildroot and %attr

* Sun Aug 24 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- statically linked

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>
- fixed preinstall script to >> /etc/shells for bsh.
